Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
Webcast-Catalyst9k

2960S-24TS-L unable to upgrade to IOS 15.2(1)E1

Hello,

I have 9 switches all together currently running on IOS 15.0(1)SE2 (which originaly came together with those switches). As per company requirement, we need to standardize and upgrade all switch in the data center to the latest IOS 15.2(1)E1. But only these 9 switches are having problem, the rest of 2960 TS-L is working fine after the upgrade.

After the switch reloaded, it will boot up the IOS but with error. It seems like the switch will only boot up the basic feature of the IOS. Running config is not loaded. None of the interfaces detected. Couldnt find any bug related in Bug toolkit or similar case in this forum. It has permanent license. I have attached some of the IOS upgrade logs. If anyone can help me here I'd greatly appreciate it. Thank you.

Everyone's tags (4)
1 ACCEPTED SOLUTION

Accepted Solutions
New Member

So the only solution is to

So the only solution is to open a TAC case and hope the replacement?

This is awesome with a Cisco product!!

11 REPLIES
Hall of Fame Super Gold

2960S-24TS-L unable to upgrade to IOS 15.2(1)E1

If you want a stable IOS, try 15.0(2)SE4.

I wouldn't even recommend 15.2(1)E1 to anyone else.

2960S-24TS-L unable to upgrade to IOS 15.2(1)E1

I doubt it will work. I have tried with universalk9 150(2)SE2, 150(2)SE5 and 15.2(1)E1 so far, but none is working. Only IOS 12.2 and existing 15.0(1)SE2 works. But I will give another try with 15.0(2)SE4 and share my findings later.

Please note that I have 17 2960TS-L, only 8 is successfully upgraded.

Hall of Fame Super Gold

2960S-24TS-L unable to upgrade to IOS 15.2(1)E1

Console to the switch and reboot.


I want to see the entire bootup sequence.

2960S-24TS-L unable to upgrade to IOS 15.2(1)E1

Hall of Fame Super Gold

2960S-24TS-L unable to upgrade to IOS 15.2(1)E1

Boot sequence is fine.  I don't see any problems.

New Member

2960S-24TS-L unable to upgrade to IOS 15.2(1)E1

I think the problem is with the license. If the switch has a lanbase license, it should be able to boot normally.

*Mar  1 00:00:20.808: Read env variable - LICENSE_BOOT_LEVEL =

Mar 30 01:27:38.047: %IOS_LICENSE_IMAGE_APPLICATION-6-LICENSE_LEVEL: Module name = c2960s_lanbase Next reboot level = lanbase and License = No valid license found

Mar 30 01:27:38.062: %LINK-4-NOMAC: A random default MAC address of 0000.0c8a.c280 has

  been chosen.  Ensure that this address is unique, or specify MAC

  addresses for commands (such as 'novell routing') that allow the

  use of this address as a default.

Mar 30 01:27:39.347: %SYS-5-RESTART: System restarted --

2960S-24TS-L unable to upgrade to IOS 15.2(1)E1

Thanks Anuar. I just realize the different of boot sequence between IOS 15.0(2)SE4 and 15.0(1)SE2 (which is came originally with the switch). Besides no interface has been loaded, a %LINK-4-NOMAC message came out when boot up from 15.0(2)SE4. Any idea if this related to my problem?

15.0(2)SE4

Press RETURN to get started!

*Mar  1 00:00:20.808: Read env variable - LICENSE_BOOT_LEVEL =

Mar 30 01:27:38.047: %IOS_LICENSE_IMAGE_APPLICATION-6-LICENSE_LEVEL: Module name = c2960s_lanbase Next reboot level = lanbase and License = No valid license found

Mar 30 01:27:38.062: %LINK-4-NOMAC: A random default MAC address of 0000.0c8a.c280 has

  been chosen.  Ensure that this address is unique, or specify MAC

  addresses for commands (such as 'novell routing') that allow the

  use of this address as a default.

Mar 30 01:27:39.347: %SYS-5-RESTART: System restarted --

Cisco IOS Software, C2960S Software (C2960S-UNIVERSALK9-M), Version 15.0(2)SE4, RELEASE SOFTWARE (fc1)

15.0(1)SE2

Press RETURN to get started!

*Mar  1 00:00:20.494: Read env variable - LICENSE_BOOT_LEVEL =

*Mar  1 00:00:20.850: %IOS_LICENSE_IMAGE_APPLICATION-6-LICENSE_LEVEL: Module name = c2960s_lanbase Next reboot level = lanbase and License = lanbase

*Mar  1 00:01:42.917: %STACKMGR-4-SWITCH_ADDED: Switch 2 has been ADDED to the stack

*Mar  1 00:01:44.223: %LINEPROTO-5-UPDOWN: Line protocol on Interface Vlan1, changed state to down

*Mar  1 00:01:44.223: %LINEPROTO-5-UPDOWN: Line protocol on Interface FastEthernet0, changed state to down

*Mar  1 00:01:45.481: %SPANTREE-5-EXTENDED_SYSID: Extended SysId enabled for type vlan

*Mar  1 00:01:45.785: %DC-4-FILE_OPEN_WARNING: Not able to open flash:/dc_profile_dir/dc_default_profiles.txt

*Mar  1 00:01:45.785: %DC-6-DEFAULT_INIT_INFO: Default Profiles DB not loaded.

*Mar  1 00:01:51.248: %SYS-5-CONFIG_I: Configured from memory by console

*Mar  1 00:01:51.495: %STACKMGR-5-SWITCH_READY: Switch 2 is READY

*Mar  1 00:01:51.495: %STACKMGR-4-STACK_LINK_CHANGE: Stack Port 1 Switch 2 has changed to state DOWN

*Mar  1 00:01:51.495: %STACKMGR-4-STACK_LINK_CHANGE: Stack Port 2 Switch 2 has changed to state DOWN

*Mar  1 00:01:51.867: %STACKMGR-5-MASTER_READY: Master Switch 2 is READY

*Mar  1 00:01:51.872: %SYS-5-RESTART: System restarted --

Cisco IOS Software, C2960S Software (C2960S-UNIVERSALK9-M), Version 15.0(1)SE2, RELEASE SOFTWARE (fc3)

2960S-24TS-L unable to upgrade to IOS 15.2(1)E1

You can upload the boot sequence of IOS 15.0(2)SE4.

If you want to know more about 2960S-24TS-L, you can follow:

http://www.router-switch.com/ws-c2960s-24ts-l-p-1516.html

New Member

Hi all, i have the same

Hi all, i have the same problem with a pair of 2960s. Any solutions to this problems?

I see that more people get this error with 2960s but none give the solution!

 

Thanks

Hi Nicola, mine was

Hi Nicola, mine was counterfeited switches. TAC case took me about 4 months and 3 TAC engineers to find the root cause. It was escalated to Cisco Brand Protection team. They replaced mine straightaway.

New Member

So the only solution is to

So the only solution is to open a TAC case and hope the replacement?

This is awesome with a Cisco product!!

951
Views
5
Helpful
11
Replies
CreatePlease to create content